commit f9786fb5a7e526035699f3d4d6661468ab20e689
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 3 14:05:44 2022 -0800

    xinit 1.4.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4f22f255e58fda758fcdd85f8554c4ef274600e8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 9 12:22:19 2022 -0800

    man page: Update remote display example from rsh to ssh
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4e66c0bf2b5751e113ad3aba79891608f7e883e2
Author: Tim Egenton <tegenton@splattim.me>
Date:   Tue Dec 7 09:15:18 2021 -0500

    startx: Source XINITRC and XSERVERRC variables
    
    Fix issue #14
    
    Check XINITRC and XSERVERRC, if those files do not exist then just use
    ~/.xinitrc and ~/.xserverc as normal.
    
    Signed-off-by: Tim Egenton <tegenton@splattim.me>

commit 0ea1ec1ed445235cdba9e54e71023d5a82feed6b
Author: Arthur Williams <taaparthur@disroot.org>
Date:   Fri Oct 14 20:59:54 2022 -0700

    Don't wait for X to finish starting if it has died
    
    On my setup, when X first starts there aren't any screens available so
    it immediately dies. Half a second later, screens become available but
    xinit would still be waiting for the dead X process to signal that it
    is ready. It'll take 15s for it to timeout and respawn X.
    
    This patch makes xinit listen for its child's death and if X dies, it'll
    immediately stop waiting for it to finish starting and attempt to start
    it again.

commit 60389ce90f552d9dfef8facf0efaf48efa59d93c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 28 17:30:21 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d190145b94d00efe8a52c01c1675c308baa335cc
Author: Dominik 'Rathann' Mierzejewski <dominik@greysector.net>
Date:   Thu Jun 9 11:21:17 2022 +0200

    stop unsetting DBUS_SESSION_BUS_ADDRESS variable
    
    It's not necessary as we no longer support running startx from an
    existing X session.
    
    Fixes #9.
    
    Signed-off-by: Dominik Mierzejewski <dominik@greysector.net>

commit 6bdce31401e3caf10242f1e8a4855b2c8e90ea13
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Sun Jun 19 20:09:55 2022 -0700

    darwin: Wait for font_cache to complete to avoid a race with `xset fb=`
    
    Partially fixes: https://github.com/XQuartz/XQuartz/issues/216
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit bf1d55c1aeef4d4755e1dbaf05cd625e48780bfb
Author: nia <nia@NetBSD.org>
Date:   Thu Apr 7 22:33:28 2022 +0200

    startx: don't attempt to catch SIGKILL
    
    Most shells ignore attempts to catch SIGKILL. Some, such as NetBSD's
    /bin/sh, print an annoying message helpfully reminding you
    that it isn't possible to catch SIGKILL whenever X starts.
    
    Signed-off-by: Nia Alarie <nia@NetBSD.org>

commit 71a8997cad602ef0adc9fed110e8a04d2a8fc8dc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 6 14:37:17 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 366a03498d51958757cf03aa1ebbdf06db4eb2de
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 6 14:37:14 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bdf2af54a800470990a66d11b14589e19fa568ac
Author: Arthur Williams <taaparthur@gmail.com>
Date:   Fri Jun 4 21:44:03 2021 -0700

    Remove non-portable grep usage from startx
    
    startx uses non-portable grep flags (-o). grep isn't even needed for
    this and has been replaced with substring removal.
    
    Closes #6

commit ae77976adaae9948e3e8d7a673dc88df4e31de46
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Mon Mar 15 17:37:53 2021 -0700

    darwin: Specify +extension GLX when the user requests IGLX support
    
    Fixes: https://github.com/XQuartz/XQuartz/issues/54
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit 8caf10c018d77a097015798b604be8817f526274
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Wed Mar 10 13:50:09 2021 -0800

    darwin: Ensure we launch the user startx from $HOME
    
    Fixes: https://github.com/XQuartz/XQuartz/issues/114
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit db21df4054e3351d14eb7dc1c3216cd23a61cee4
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Wed Mar 10 13:46:23 2021 -0800

    darwin: Drop support for macOS 10.7 and earlier
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit e2430bcb8327682340d985f89ad5137efa2f0d4f
Author: Rickie Schroeder <1187-Gregg16@users.noreply.gitlab.freedesktop.org>
Date:   Fri Aug 28 13:34:05 2020 +0000

    startx: use uname -n instead of hostname
    
    startx calls hostname to obtain the hostname, but this is not defined by POSIX, so not guaranteed to work. The script already does some checks to deal with different hostname implementations on Linux.
    
    Using uname -n instead fixes this in a portable way.

commit 91d2aba6364ec6685411595ccafea69fe9d20d6c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 23 09:26:21 2020 -0700

    Fix spelling/wording issues
    
    Found by using:
      codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4f54d1843a780a71c3be0b56fe2ad2ddfcbaf928
Author: Matt Turner <mattst88@gmail.com>
Date:   Sun Mar 8 15:16:36 2020 -0700

    man: Restore non-SCO UNIX bits of the man page
    
    It looks to me like commit 5268936259c5 (Remove SCO support for
    SHELL_CMD and startx man page.) removed the wrong bits of the man page.
    
    This commit replaces the SCO UNIX bits of the man page with the non-SCO
    UNIX bits.
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 9a8b937bcfd84575e13039f316cbcb14c9729df4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 3 11:56:43 2019 -0800

    xinit 1.4.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b3dc751212e5f2f6b5d263e009cc2b85e56bfdbf
Author: Tobias Stoeckmann <tobias@stoeckmann.org>
Date:   Thu Feb 7 20:54:37 2019 +0100

    Buffer overflow with many arguments.
    
    Command line arguments are copied into clientargv and serverargv without
    verifying that enough space is available. A high amount of arguments can
    therefore trigger a buffer overflow like this:
    
    $ xinit $(seq 1 500)
    
    Signed-off-by: Tobias Stoeckmann <tobias@stoeckmann.org>
    Reviewed-by: Walter Harms wharms@bfs,de

commit f727023c1a75dcc467dd99a3db69a5834a0718f0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 17:06:34 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ce311771ca86a4134511aecda5601d7c76d763dd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 22:19:18 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 752ef176eb99f6315be27f00896b37ce217758b9
Author: Laurent Bigonville <bigon@bigon.be>
Date:   Fri Sep 12 15:35:49 2014 +0200

    Fix some miscellaneous stuffs in the manpages
    
    See: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=726962
    https://bugs.freedesktop.org/show_bug.cgi?id=83797
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit aac8e17d28665dd35a73ee188c007f0b0f9cd9fe
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Mon Oct 26 13:55:35 2009 +0000

    Make text about supplying X server arguments via startx more generic
    
    Make text about supplying X server arguments via startx more generic,
    rather than assuming the started server will be Xorg, and hence will
    take Xorg's arguments.
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2df7937c6d57a4f44288d13fc50218fe088c4185
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 9 17:44:47 2018 -0800

    xinit 1.4.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2effad417dabccd0b41ac32dc8108c99c73801d2
Author: Tobias Stoeckmann <tobias@stoeckmann.org>
Date:   Mon Jan 30 21:35:37 2017 +0100

    xinit: check for correct fork error code
    
    Even though this code is only active on __sun machines, the fork return
    value should be checked for -1, not 1, to detect an error situation.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 710ea2cec2b36831a3b6b5bdae223d18edbea933
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 4345a602d48fbdf68e57db54e08f6a78d1679993
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 762c1a8db1257246e23e0f9dfd876f97cb73e528
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 4525e14fcfeaaf526227e3addec67d0ce4632270
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Sat May 28 14:00:58 2016 -0700

    startx: Add support for enabling IGLX for XQuartz
    
    https://bugs.freedesktop.org/show_bug.cgi?id=96260
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit 208a47e0d8f62e7c77fa42137511de890feea7fe
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Sat May 28 13:47:01 2016 -0700

    startx: Add -listen tcp if nolisten_tcp is disabled for XQuartz
    
    https://bugs.freedesktop.org/show_bug.cgi?id=95379
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit 72160c42bea2073bf95c01aca59a12f0ca7ab707
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Tue Dec 29 17:03:43 2015 -0800

    launchd: Install binaries into libexecdir
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit 281b314f38564537279c94e605bee74ff41b0245
Author: Ingo Schwarze <schwarze@usta.de>
Date:   Sun Aug 30 15:13:07 2015 +0200

    remove bogus \/ escapes
    
    some X manuals use then escape sequence \/ when they want to render
    a slash.  That's bad because \/ is not a slash but an italic
    correction, never producing any output, having no effect at all in
    terminal output, and only changing spacing in a minor way in typeset
    output.
    
    Signed-off-by: Matthieu Herrb <matthieu@herrb.eu>
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>

commit c5e40f503420bd61c7a33e082db755c03c070c81
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 25 11:04:13 2015 +1000

    startx: don't init defaultdisplay to :0
    
    This is misleading - it is always overwritten after looping through the lock
    files.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit e07fa99039c0f63ed8f0b142e546ef102321fca0
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Fri Mar 20 14:25:44 2015 +0100

    startx: Fix startx picking an already used display number when -nolock is used
    
    Currently startx relies on /tmp/.X?-lock being present for automatically
    picking a free display number. This does not work if -nolock is used when
    starting the server, or if the server is started with -displayfd as -displayfd
    implies -nolock.
    
    This is becoming a problem now that -displayfd is getting used by
    display-managers (e.g. gdm), this fixes this by also checking for
    /tmp/.X11-unix/X?
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a3a34a393b9aeacc0b41dc9b4608ad2be25564cf
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 25 11:08:45 2015 +1000

    startx: fix comment typo
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 27488975a61858bbaf72047838074389566e2136
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Feb 13 21:43:37 2015 -0500

    Remove left over $(launchagents_DATA) in CLEANFILES
    
    This was left over when reorganizing layout of launchd sources
    in commit 567f59d3f8189b92bc46e2af1260f9340f462bdb
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1be5f1ae5df1d9b3f29fafe3eb29ea890a628b54
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Feb 13 20:21:51 2015 -0500

    Remove support for ancient A/UX 3.0 support
    
    This was Apple Computer’s implementation of the Unix operating system
    for some of their Macintosh computers. From 1988 to 1995.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5268936259c598ea1e51370df33011a48ec9f3d4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Feb 13 19:37:16 2015 -0500

    Remove SCO support for SHELL_CMD and startx man page.
    
    SCO support was removed from startx.cpp and xinitrc.cpp earlier.
    
        Remove unixware / sco support
        http://cgit.freedesktop.org/xorg/app/xinit/commit/
        ?id=fdf03cd2fdfd9cd5635334c5e4dc2bb23e92e37a
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e3bab0cc706880c22f2b205e7abad9d8c0227071
Author: Mark Kettenis <kettenis@openbsd.org>
Date:   Thu Jan 29 11:23:01 2015 +0100

    startx: Don't use GNU expr extensions
    
    Use the ':' operator instead of "match" and avoid the use of "\+".  Both
    constructions aren't specified by POSIX and not supported in BSD expr.
    Also drop the '^' from the regular expressions as it is implicit and
    POSIX leaves its behaviour undefined.
    
    Signed-off-by: Mark Kettenis <kettenis@openbsd.org>
    Acked-by: Hans de Goede <hdegoede@redhat.com>
    Reviewed-by: Matthieu Herrb <matthieu@herrb.eu>

commit bd6cacdd36615e9b8136aeb86c3924a404785977
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Tue Jan 20 16:18:34 2015 +0100

    startx: Pass -keeptty when telling the server to start on the current tty
    
    Detaching from the tty causes systemd-logind to refuse service to the xserver,
    the xserver already tries to detect that it is being asked to run on the
    current tty and then automatically enables -keeptty, but this code fails if
    all of stdin, stdout and stderr are redirected to a file. So explicitly tell
    the xserver to not detach when we're telling it to run on the current tty.
    
    BugLink: https://bugzilla.redhat.com/show_bug.cgi?id=1177513
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6f6747d500439782476cf5c029a7fc45fc954c86
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Thu Sep 11 16:29:06 2014 +0200

    xinit 1.3.4
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

commit e91faac94e36937c96c04277eae7960bf5132b5b
Author: Brad Smith <brad@comstyle.com>
Date:   Fri Aug 29 01:34:16 2014 -0400

    Remove hardcoded path to OpenSSL for OpenBSD
    
    Since xinit's autoconf script was changed to use AC_PATH_PROGS() to find
    openssl this hardcoded path to openssl can be removed. This was noticed
    recently when openssl was moved from /usr/sbin to /usr/bin and developers
    were looking for anything having hardcoded paths.
    
    Reviewed-by: Matthieu Herrb <matthieu@herrb.eu>

commit 94b002262d27975dabf56c77fd308ebabc894090
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Tue Aug 26 11:52:20 2014 +0200

    startx: Make the bugzilla reference in a comment survive cpp processing
    
    https://bugs.freedesktop.org/show_bug.cgi?id=83019
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

commit 5502aaf99f4e723e96791e8f4cf01e0c200ec269
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:39:32 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a6a720b5181d4d0529e4eb203ece234ba45f69dd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:38:41 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1b23094a8606bf383ec6c7803a9cd300b1bb96a7
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Mon Apr 7 11:23:48 2014 +0200

    startx: Pass vtX as long as the user did not specify one
    
    Adding vtX to $defaultserverargs means that it will only be added when
    the user specifies no server arguments.
    
    This means that doing ie: "startx -- -depth 16" will cause the server to start
    on a different vt then just "startx", which does not meat the principle of
    least surprise.
    
    Instead always pass the vtX argument, except when the user has specified its
    own vtX argument. Note that vtX still only gets added for the default server,
    since for ie Xnest or Xephyr it makes no sense.
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Reviewed-by: James Cloos <cloos@jhcloos.com>

commit 44915d6953076849b69a017f6fc8234b0f254362
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Tue Mar 25 11:54:31 2014 +0100

    startx: Under Linux start X on the current VT
    
    When we let X allocate a new VT, systemd-logind will not recognize any
    processes running on this VT as belonging to a valid session (since there
    was no pam session opened on that tty).
    
    This causes problems like PolicyKit denials for these processes.
    
    ConsoleKit under Linux has been deprecated for a few years now and is no
    longer being maintained, so simply make this the default under Linux.
    
    Note we do not pass in the vt if the user has specified an alternative server
    to start, as the vtX argument is only valid for the Xorg server, likewise we
    omit it if the user has specified any other server arguments.
    
    Fixes:
    https://bugzilla.redhat.com/show_bug.cgi?id=806491
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 79479a0c45f3177ddf0bb2666d39535b6c767c07
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Tue Mar 25 11:48:58 2014 +0100

    Replace $RAWCPPFLAGS with $TRADITIONALCPPFLAGS when processing cpp files
    
    Various .cpp files containt things like #ifdef __APPLE__ and #ifdef __linux__
    these have been broken (all #ifdef-s always seen as false) since:
    http://cgit.freedesktop.org/xorg/util/macros/commit/?id=d690e4a9febd07988d149a967791c5629c17b258
    
    This commit makes these work again by removing -undef from the cpp flags.
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit 7f54370baca4203bb344f5f8a4c2683f5b78d50b
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Thu Mar 27 14:37:19 2014 +0100

    Bump required util-macros version to 1.19
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit fdf03cd2fdfd9cd5635334c5e4dc2bb23e92e37a
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Thu Mar 27 12:29:19 2014 +0100

    Remove unixware / sco support
    
    We don't support SCO / Unixware anymore, so lets remove the SCO / Unixware
    specific bits from startx and xinitrc
    
    SCO support was removed from the server in 2010:
    http://lists.x.org/archives/xorg-devel/2010-December/017209.html
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit 463b85fcf51d8ff5886ebe1f3481e5cb4d603436
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 22 23:03:39 2013 -0800

    Pass files to cpp via CLI arg instead of stdin to workaround gcc 4.8 change
    
    Fixes Bug 69439 - Empty lines before #!/bin/sh in startx
    https://bugs.freedesktop.org/show_bug.cgi?id=69439
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 182920f156c87715d91b2f64b8781a0072af996e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 8 09:48:50 2013 -0700

    Fix warnings about parameters to startServer & startClient shadowing globals
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cdc39fd28649ea906dea8f58981d15d4b04a0a47
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 8 09:35:35 2013 -0700

    xinit 1.3.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2363f7ed1c7f838107c1209a97d103f72d980f99
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 8 09:35:27 2013 -0700

    Add Apple copyright/license notice from launchd files to COPYING
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5250190bd436b5b762ebb57452d15dff5ae6a24a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 24 14:46:33 2013 -0700

    Use pid_t instead of int for type of pids
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 14ea26b8dc0c601e445331e09a4cc9ca082a1345
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 3 00:15:34 2013 -0700

    Check for openssl as mkcookie fallback on all platforms, not just OpenBSD
    
    Configure will notify the builder which cookie maker it chooses,
    so that packagers can add a dependency on the program needed.
    
    (Matthieu says the -hex flag to the openssl command was originally
     OpenBSD-specific but has since been added in upstream OpenSSL.)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Thomas Klausner <wiz@NetBSD.org>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>

commit 09ab37f816d2fe9482574c825132d9b516b8e0bf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 18 22:58:10 2013 -0700

    Declare processTimeout() as taking a const string arg
    
    Fixes gcc const warnings on every call to it
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1dd71b4eae433896e41f8366f23b8269712b4cf3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 18 22:51:56 2013 -0700

    If we have to forcibly kill the Xserver on Solaris, reset kbd_mode
    
    If the Xserver hangs when xinit is waiting for it to die, and xinit
    sends a kill -9 to it, then it will leave the keyboard in a state that
    can't be used on the text console, so fix it up ourselves.
    
    Upstreaming from Solaris, where it was originally implemented to fix
    Sun bug 4221128 “If Xserver is slow to exit, xinit does "kill -9" and
    kbd_mode -a is required”
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 79fd43329e15432bab4f9f8856af385ac2ac0417
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Thu Apr 4 14:58:30 2013 +0200

    Use xinitrc.d/?*.sh as the matching pattern instead of needing a fragile sed substitution XSLASHGLOB to produce xinitrc.d/*.sh. (If that were used literally the slash-star would confuse cpp.)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ef3d1d64958c51d7716445574bb7e5653aab714d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 23 11:23:25 2013 -0800

    Add printf attributes suggested by gcc
    
    Also moves existing noreturn attributes up to function prototypes for
    functions with forward declarations.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4e85bce64acef1fa0ddff04d59737444e942ff12
Author: Egbert Eich <eich@freedesktop.org>
Date:   Thu May 19 09:27:13 2011 +0200

    install: Use sysconfdir instead of libdir for config files.
    
    Most X packages today install their config files in sysconfigdir,
    only a few are left which still put their configuration in libdir.
    
    Signed-off-by: Egbert Eich <eich@freedesktop.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7c2f87264db950dfecb1a5467d06b3d9d621e32c
Author: Egbert Eich <eich@freedesktop.org>
Date:   Thu May 19 09:26:24 2011 +0200

    man: Set correct config file location in man page
    
    Change the config file location from a hard coded path to what is
    set during build.
    
    Signed-off-by: Egbert Eich <eich@freedesktop.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fb4d46c9a85755910a222dcc7167df3b5a5c8d94
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Thu Sep 20 22:31:44 2012 -0700

    privileged_startx: use root:wheel instead of 0:0
    
    http://xquartz.macosforge.org/trac/ticket/637
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit bfed997da5f083e3ddfbda440e114d1261d18b14
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Jul 24 08:47:29 2012 -0700

    XQuartz: Fix an issue where -dpi was not being passed to the server despite being set
    
    For some reason 'defaults' sometimes shows dpi in quotes and sometimes
    doesn't.
    
    Regression-from: 335937217a51e5e159a14463e0b1e3aedf35c6be
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 8156aad786754499f4636104aa5bd8a27a281448
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat May 19 04:34:32 2012 -0700

    Annotate Fatal and Fatalx as _X_NORETURN
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 641588afe92c803a1231ecf6281115f55b20e62a
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat May 19 04:30:49 2012 -0700

    laucnhd: Silence some syslog spam
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 335937217a51e5e159a14463e0b1e3aedf35c6be
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat May 19 04:22:14 2012 -0700

    darwin: Silence a syslog message from defaults
    
    Unfortunately defaults has no way to check if a preference exists, and it
    prints a message to syslog if we read one that doesn't exist.  dpi is one
    that commonly doesn't exist and results in user confusion when they read
    syslog.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit eda973a32552c916e7e7cce8877674106cbda0cb
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Apr 18 10:02:07 2012 -0700

    launchd: Fix the destination of moved-aside directories in privileged_startx
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit c781653f956043e0ee476d4e95e0ae93b27aff96
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Apr 18 09:52:18 2012 -0700

    launchd: Load privileged_startx properly on Tiger
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 4cd122efcfa47afbe8c2ebeee6d8fd48914839a7
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Apr 18 09:47:33 2012 -0700

    launchd: Provide more verbose error reporting for launchd checkin failures
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 2d9bdc819adbe45ec3ffdc72429fd92b7f613601
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Apr 18 09:20:37 2012 -0700

    launchd: Don't provide the LaunchAgent on Tiger
    
    Tiger's launchd doesn't support all the features we need from it.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 49cfa8b7253096d24b2ef6a8d0ba32c4bae9ac23
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Feb 17 17:35:26 2012 -0800

    launchd/privileged_startx: Improved error resolution
    
    Rather than just failing to do anything when directories aren't what we
    want them to be, we now try our best to fix the situation.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit f5ef7a3f8c1e8ac3f715e4059bf3b9a03aafd5a7
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Jan 27 23:13:48 2012 -0800

    configure.ac: 1.3.2
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit ec55c94dfe1bf43ece808d984c672602faddd91b
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Nov 8 14:14:19 2011 -0800

    Use default clientargs, serverargs, and display if none were set
    
    Previously, we did not use the default values unless server or client weren't
    set, but we should still use the defaults if they were not set but the server
    was.  This is most evident when you want to tell startx which server to use,
    but you want startx to figure out which display to use automatically.
    
    This fixes a regression introduced by the previous patch on XQuartz:
    http://xquartz.macosforge.org/trac/ticket/523
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 98b85a1ac235dbf421d1a49b41599e8bcaf490d3
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Oct 19 23:00:56 2011 -0700

    launchd: Add an option (--with-launchagent-xserver) to set the default X11 server
    
    This allows the LaunchAgent and startx to have different default servers
    which will be useful as the Xorg DDX becomes available on darwin.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 27be391123f5143fdccdfe975bf18bbff7517537
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Oct 17 03:53:17 2011 -0700

    startx: Choose an unused $DISPLAY by default on all platforms
    
    Now everyone can benefit from this code that I previously added for darwin
    
    https://bugs.freedesktop.org/show_bug.cgi?id=1789
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 45cc81cd7abafe61bddb3ddce9f4fb8a9aa06c12
Author: Julien Cristau <jcristau@debian.org>
Date:   Thu Sep 8 22:11:15 2011 +0200

    Include <sys/time.h> and <sys/resource.h> unconditionally
    
    Suggested by Mark Kettenis.
    
    X.Org bug#40632 <https://bugs.freedesktop.org/show_bug.cgi?id=40632>
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 727706ffda344a1a752df296cd230ff3fb3940a5
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Jul 31 09:11:01 2011 -0700

    darwin: Buildfix for Tiger which doesn't have posix_spawn
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 6543a881708a2a410b51bb5644d9123c847a2908
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Jul 24 17:15:10 2011 -0700

    configure.ac: Bump version to 1.3.1
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit b0b9c21b752faab43241665f8fd12e10973e739c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jun 17 13:49:11 2011 -0400

    DIST_SUBDIRS is not required when using AM_CONDITIONALs
    
    LAUNCHD is an Automake conditional which means that Automake will
    traverse the launchd directory when running the dist target.
    http://www.gnu.org/software/automake/manual/automake.html
    
    One less variables to maintain.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 120a58116f2e3a223dbb78e0b33d3755eeb8ad5a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jun 17 13:39:27 2011 -0400

    Move man pages in the man directory
    
    Now that the cpp tool is no longer needed, normalize the man pages build.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a81fab654085239ffcc4981b6bdab9fc18ec3d08
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jun 17 11:15:12 2011 -0400

    Use XORG_MANPAGE_SECTIONS rather than cpprules.in to build man pages
    
    As for all other manpages, use sed rather than the C preprocessor
    from the Imake days.
    
    Use SCOMAN Automake variable and groff .if for conditional text
    We can therefore remove ARCHMANDEFS
    Remove man page related code from cpprules.in
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8e6cc68283518bba2820ff0d919aee9d49e3eb59
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat May 14 14:11:13 2011 -0700

    launchd: Fix an array-index-out-of-bounds crasher
    
    Found-by: GuardMalloc
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 3b53d7aecb2f3a729c57f2831a3d4b6e1ff1901f
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Thu May 12 20:27:55 2011 -0700

    launchd: Update console redirection to work with libdispatch
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit e6187b0d47722ec364372926d78dfe4e5637bd6c
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Thu May 12 20:08:09 2011 -0700

    launchd Set the correct id for privileged_startx
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit a8de1219942e78db2cd193ffe745535d3c2d84b0
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed May 11 17:29:25 2011 -0700

    configure.ac: Fix support for the deprecated --with-launchd-id-prefix
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 2771fbf28d6ee6cce09df0f245322d60e21795af
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed May 11 00:32:51 2011 -0700

    launchd: syslog: Use facility org.x rather than user
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 4ca120d2d2a73d8a1595f15e04fc365a4ae20e78
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed May 11 00:29:03 2011 -0700

    launchd: include config.h
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit c8b40e87f69f5be881725388418d703116af8e5f
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed May 11 00:24:45 2011 -0700

    Rename launchd-id-prefix to bundle-id-prefix
    
    It's used many other places than just for launchd.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 50f1172349dc900da4016c243734ae50691eab6c
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Apr 27 18:10:45 2011 -0700

    launchd: Silence clang static analyzer
    
    ../console_redirect.c:67:5: warning: Value stored to 'n' is never read
        n = kevent(kq, ev, 2, NULL, 0, NULL);
        ^   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    1 warning generated.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 2f15ccc30479d98012e3ddd595fa13c2f58d4a87
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Apr 27 18:08:50 2011 -0700

    privileged_startx: Prefer /usr/bin/mktemp
    
    This will avoid accidentally tripping over an incompatible,
    user-provided GNU flavor mktemp.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 4d0f9d2290bde45c0e844ce40f1caa7fb4baae0f
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Apr 26 23:15:13 2011 -0700

    launchd: Brownbag fix string compare
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 933f0b2980b375cadc58b2ef5669bc34475a7be6
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Apr 26 13:34:57 2011 -0700

    launchd: console_redirect: Actually read and log the remaining data when we get EV_EOF
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 0881b1f2082b26995c24212e1e54ac4391d23fcd
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Apr 26 13:04:21 2011 -0700

    launchd: Remove dead EXTRA_DIST
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 2dd7a4b5ac19c0b2be5cc078756d43e42f39231c
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Apr 26 13:01:24 2011 -0700

    launchd: Fix make dist
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 5f5390886004f785b4338fcff27f287c9aa6cd8c
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Apr 25 23:09:03 2011 -0700

    launchd: Enable stdout/stderr redirection to ASL
    
    Don't rely on launchd to do our logging for us.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Daniel A. Steffen <dsteffen@apple.com>

commit c6a7f895c8c90b85ed4fd08927c47b0d17ed067a
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Apr 25 22:26:02 2011 -0700

    launchd: Log messages to ASL rather than fprintf
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 567f59d3f8189b92bc46e2af1260f9340f462bdb
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Apr 25 22:17:25 2011 -0700

    launchd: Reorganized layout of launchd sources
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 75a969b884296439fb84ca2be8f77d718d7da1e6
Author: Cyril Brulebois <kibi@debian.org>
Date:   Sun Mar 6 01:59:13 2011 +0100

    Fix minor typos in startx's comments.
    
    Signed-off-by: Cyril Brulebois <kibi@debian.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2d88aba7a84d153c2fc3226eece751395990edc7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 28 18:50:20 2011 -0800

    Merge adjacent if (timeout) blocks
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dirk Wallenstein <halsmit@t-online.de>

commit 622a5500e8b19d603592bb1e871633323a3c09da
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:47 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 7119d9109ac7fc85b8e97af83aa6d98f9941a998
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:33:42 2011 -0500

    config: remove the workaround for the deprecated AC_HELP_STRING
    
    With Autoconf version 2.60, AS_HELP_STRING is always available.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f4d2e3972e8f1c14cefa649e2da9bb83a06363c6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:12:08 2011 -0500

    config: remove unrequired AC_SUBST([*_LIBS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 7264d4132b8520069f6f8855cc3847805057d39b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 13:33:48 2011 -0500

    config: remove unrequired AC_SUBST([*_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b2b1cc02fdb141cae7ee18034a6ab5d571b7eb6b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 7 19:21:20 2011 -0800

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    Add missing AC_CONFIG_SRCDIR
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e6e427bbf6f3c9472dcbff1028fded459c803d6e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 7 19:19:22 2011 -0800

    config: Replace obsolete usage of AC_OUTPUT with AC_CONFIG_FILES
    
    Stops configure from running the output generation routines twice
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6e44c0f269a5f2dced84e7ab3c496605d827ec11
Author: Tom Doherty <tom@singlesecond.com>
Date:   Mon Nov 22 21:27:13 2010 +0100

    Minor typo.
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c371f43b69b223ba68e00125e6aa56621a23109b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 17:16:16 2010 -0700

    Add usual set of URLs to README
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cc92823c61f9f4d31a25d107017198d1e16d4fcf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 16:44:22 2010 -0700

    xinit 1.3.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b5ff96271ebf30422f0a4af487ba9b35ce9c2e80
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Sep 23 20:26:42 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC, AC_PROG_SED, & AC_PROG_INSTALL are provided by
    XORG_DEFAULT_OPTIONS 1.8
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4afe755b28f48390b16d16434cd14a756ef464ce
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d15d988eaf63d4f840d09ba12caade6bea5f7618
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Jul 12 16:55:03 2010 -0700

    launchd: Explicitly search /sbin
    
    Previously, launchd wasn't found if /sbin wasn't in the user's PATH.
    https://bugs.freedesktop.org/show_bug.cgi?id=29028
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 908273df8c0a7a13ff20e4ed4b7b470521f12ce2
Author: David Shao <davshao@gmail.com>
Date:   Fri May 21 12:44:53 2010 -0700

    DragonFly BSD: includes for PRIO_PROCESS and setpriority() in xinit.c
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8464a8ab360b72f6817b19ce99b12f0793fbee74
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon May 3 00:25:30 2010 -0700

    darwin: Make __APPLE__ path in startx POSIX compliant
    
    http://xquartz.macosforge.org/trac/ticket/399
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit e4548fe62d58d7cb891dc142c400c22031d471fb
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Sun Apr 25 03:21:43 2010 +0700

    Remove OS/2 leftovers
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c82295911409c611c097ef2e1269a78d54314304
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Thu Apr 15 11:40:33 2010 -0700

    Enable support for an xinitrc.d directory
    
    This was already done on darwin and Gentoo.  Now others can benefit.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>
    Reviewed-by: Rémi Cardona <remi@gentoo.org>
    Reviewed-by: James Cloos <cloos@jhcloos.com>

commit 7f9d31e6342ffe5f2903fb2f4e5d3a1e4e5ed1df
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Wed Apr 14 03:03:29 2010 +0700

    Rationalize errors output
    
    Implement Errorx/Fatalx in addition to existing Error/Fatal, replace
    all fprintf(stderr)/exit with Fatal, all fprintf(stderr) with Error.
    
    Additionally harmonize capitalization and punctuation of error messages.
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3676185a3e3bf1e57362ed4978825d9d6d53592c
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Wed Apr 14 03:03:28 2010 +0700

    Fix comment indentation
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c0f6753d2de16826300a04232e54fbd3aa54c406
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Wed Apr 14 03:03:27 2010 +0700

    Use signals from Unix98 and drop pre-POSIX compatibility
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 15cf3d560ab5b6847d8891208080ac964c1682fb
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Wed Apr 14 03:03:26 2010 +0700

    Use sigaction(2) instead of signal(2) to handle SIGUSR1 and SIGALRM
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fa009dcc191e1d70937e5fb4dd8ae8d9c151a607
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Wed Apr 14 03:03:25 2010 +0700

    sys/wait.h is in Unix98
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a13649f91f3856040f53c47d14a2cccff943c702
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Wed Apr 14 03:03:24 2010 +0700

    setpriority and PRIO_PROCESS are in Unix98
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 598cb2f5e433014b02eec6270a73bcb95cd7b15a
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Wed Apr 14 03:03:23 2010 +0700

    SIGTT{IN,OU} is in Unix98
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ce5aa4e7a30bff3207695b9ce8cbdcd56ff7b36c
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Wed Apr 14 03:03:22 2010 +0700

    SIGCHLD is in Unix98
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d12f1f2dd625f507cf8a504854dad0a9efd86259
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Wed Apr 14 03:03:21 2010 +0700

    killpg(2) is in Unix98
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 36e3f13a32c8ced264d666f1091db7e1bb523e86
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Wed Apr 14 03:03:20 2010 +0700

    waitpid(2) is in Unix98
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 63ba277c694104b3f01d0a1adee7903631607694
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Wed Apr 14 03:03:19 2010 +0700

    Use EXIT_{SUCCESS, FAILURE} from C90 instead of homegrown equivalents
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a63c31f74e1c11509b561ab9687138f5c960df0f
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Wed Apr 14 03:03:18 2010 +0700

    Stop converting functions' return types to void
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5dea0c1caaeb0d7f1280fd28c80c3c1bc10c34d0
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Wed Apr 14 03:03:17 2010 +0700

    Simplify environment juggling by using fork() instead of vfork()
    
    xinit used to copy process environment in order to give client correct DISPLAY
    and WINDOWPATH variables. It was not possible to do it in client process because
    it was vforked, not forked.
    
    As vfork() usage was not entirely correct (manpage specifies that behaviour is
    undefined if there are any memory modifications between vfork and exec), switch
    to fork(), move setting environment variables to client process and and drop all
    the manual mucking with environment.
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2df4ba3b0ef40cefcac2774e042dad0d2df17424
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Wed Apr 14 03:03:16 2010 +0700

    Fix whitespace
    
    File was indented with mix of 8-space and tab symbols and inconsistently
    formatted. Apply more-or-less consistent formatting and reindent everything to
    4-space.
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0ffa7f2402ae06371aa09a513798a4400b5727c0
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Wed Mar 31 18:15:03 2010 +0700

    Nuke OS/2 and LynxOS support remnants.
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit eb541d73b35716e1deaccc3c328473e04a5ef024
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Mon Mar 15 15:41:48 2010 -0700

    Update to version 1.2.1 for release.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 17b65f4420a958c577fd17d91f332465cf9fbfa5
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Mon Mar 15 15:39:06 2010 -0700

    Updates for .gitignore
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 3d82396b95bff8ed6028e36cf3aed1f1189ba909
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Thu Mar 11 16:09:35 2010 -0800

    darwin: Handle home directories that contain a single-quote (')
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit ad11d954cf296f2bfbe25ad483459c8485197dd1
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Thu Mar 11 10:24:11 2010 -0800

    Quiet warning for fts_open
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit b61c4977d96fbaabdfb8213d2b9cc2e1416952f1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:54 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 9d15780beb5db0d39cc34ef2d9f3157fa5a81e57
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit f60d8d7272efb6da4fd91df9675d9281e4230d9f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:25 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit b748221cf9e7df8b0b460f13f4ad0a86ff7f1b6d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 16:23:27 2009 -0400

    Makefile.am: do not include autogen.sh in distribution #24183
    
    This is a private build script that should not be distributed

commit 85cd7aa2f632d159af38252639a3020bf9ee18a1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:15 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit d243b9943879ec2790d65785805aefdfbb64a378
Author: Rémi Cardona  <remi@gentoo.org>
Date:   Sat Nov 14 14:51:59 2009 +0100

    xinit 1.2.0
    
    Signed-off-by: Rémi Cardona <remi@gentoo.org>

commit 561b6c70648b585e36241c898f0b2dbba3cb2d24
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Tue Oct 27 18:24:31 2009 -0700

    Apple: Export X11_PREFS_DOMAIN for children (quartz-wm)

commit 9b89862981070cf9e381512055a778f451c88905
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:20 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 82747989c1332290fabec8b9da38aad05282301f
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Oct 16 20:27:17 2009 -0700

    Use platform-specific X server names in man pages for cygwin & darwin
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
    Tested-by: Jon TURNEY <jon.turney@dronecode.org.uk>

commit c2a5751175b11d3206805468aae1ddecd02c4a98
Author: Rémi Cardona  <remi@gentoo.org>
Date:   Sat Oct 3 11:50:12 2009 +0200

    make XINITDIR configurable at build-time, default is unchanged
    
    Signed-off-by: Rémi Cardona <remi@gentoo.org>

commit 2861f9cf845107870f9d5e9898e5cd4baba8d8f7
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sat Oct 3 15:28:27 2009 -0700

    Strip RCS/CVS tags
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 536a3e66159bb4cbd75b861b9b942da5b1885a26
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sat Oct 3 15:21:20 2009 -0700

    Man page updates
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 2528d709b51bb1f2e8c32db3242c5af815c9b66f
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sat Oct 3 15:16:55 2009 -0700

    Drop ancient SunWindows compatibility check
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit adda4c05eceddca7ecb4470d9804a0fa2da8c12c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sat Oct 3 15:15:38 2009 -0700

    Drop ancient A/UX compatibility hack
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 817c2d6fe0bea3910d335a0f0ae6d69e358dd9da
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sat Oct 3 15:06:23 2009 -0700

    Purge ancient server names from help, add newer server names instead
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 3a59c294d30f5c68dc1411a1a7a274948e08d528
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sat Oct 3 14:51:44 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 98c7700d5bff9e61a7f29d8a611edc8a34961e8e
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Fri Sep 4 00:36:18 2009 -0700

    launchd: Update the DISPLAY envvar to not have a - ... call me paranoid, but I feel safer without it
    
    Also added some extra debugging fluff to distingush between two similar statements.

commit 49b50db0cb1ecc5611a242d12b9ca05b961c91ac
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu Sep 3 19:02:56 2009 -0700

    launchd: Include LAUNCHD_ID_PREFIX in the socket name for reverse lookup to tell which launchd id owns $DISPLAY

commit 78d181dc74ffb3e67ee0d90780b86e00e03073eb
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Sep 2 10:43:25 2009 -0700

    launchd: Added --with-launchd-id-prefix option to set non-standard launchd id prefix (org.x is still default)

commit 33c3dae16b632ab56b6b361273a48079eb0a41c4
Author: Andres Salomon <dilinger@queued.net>
Date:   Wed Feb 11 17:18:05 2009 -0500

    app/xinit: make startx's $? a useful value
    
    When startx fails to start X, it's most likely xinit that failed.  xinit
    returns a proper return code (1), but that gets clobbed in the startx
    script by clean-up commands.  This patch saves $? from xinit and forces
    startx to exit with that value.
    
    This way, if startx actually fails to start X, $? reflects that.
    
    Signed-off-by: Andres Salomon <dilinger@debian.org>

commit 028b0839dc4079c8fe56b38a80be51dc8c89ea17
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Fri Mar 6 17:03:30 2009 +0000

    Cygwin can also have spaces in $HOME

commit c30b10caedf7bdafb9abda914f80c90bfaccaec5
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Wed Jan 21 19:22:31 2009 -0200

    Correct make distcheck for recent git versions.

commit 57f917f8934d441ebb6501c4691a2b59fa217f3f
Author: Robert Macomber <robert.macomber@bigfishgames.com>
Date:   Fri Jan 16 01:27:50 2009 +0100

    startx: fix misparsing of initial client and server arguments which begin with / or ./
    
    If you invoke startx with a client whose initial command-line arguments
    begin with / or ./, it uses the last such argument as the base command
    for the client.  E.g.:
       startx /usr/bin/xterm /usr/bin/mutt
    will use /usr/bin/mutt as the client to run instead of /usr/bin/xterm.
    This is because of the way in which startx parses its arguments.  It's a
    loop over a case with three clauses; the bug is in the first.  When it's
    looking at one of startx's args it checks to see if $clientargs is empty
    in order to see if it should set $client or add the argument to
    $clientargs.  It should also check to see whether $client is set.
    
    There is a similar bug in parsing server args, where it checks to see if
    $serverargs is empty to decide whether to set $server.
    
    Debian bug#511717 (http://bugs.debian.org/511717)
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 7a5086259ca39cc4de6abcda3a3dc5d6c6b380b0
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu Dec 18 19:05:08 2008 -0800

    Apple: Use MAC_OS_X_VERSION_MIN_REQUIRED instead of __MAC_OS_X_VERSION_MIN_REQUIRED

commit 46d641fdd020d07a9b4bd0364cf126643342a7e3
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Dec 17 15:19:38 2008 -0800

    xinit 1.1.1

commit c340932db548d1a3d4fc5bbc682b7730e5b2cf4a
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Dec 17 13:00:23 2008 -0800

    Apple: Allow defaults option that maps to a -dpi server command line in startx

commit 89c1675d128da3477cac6858c4249b839ec68346
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Sat Dec 13 00:14:54 2008 -0800

    OSX: Don't use login/bash -c hack anymore for org.x.startx LaunchAgent

commit 13accec7614960965470f17894bc9212842ea6d7
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Tue Dec 9 21:15:13 2008 -0800

    OSX: More prefix fixes

commit e06ebf63e2c91e590fc1091e5ea2e49bab835526
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Dec 3 11:19:48 2008 -0800

    OSX: Fixed bad prefix

commit 4ee72a6f1fc5d045adb71260107ca605ec68a84a
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Tue Dec 2 20:56:11 2008 -0800

    OSX Tiger: Fix discovery of mach port

commit ca9cb9750d2dd480240a37cdbd94fdba0a34da4c
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Tue Dec 2 20:31:10 2008 -0800

    Apple: Honor X11_PREFS_DOMAIN if it's set (1.4.2-apple26 and later)

commit 754efe651165ea7dd034f6b0ce75ef785deab826
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Fri Nov 28 23:23:14 2008 -0800

    OSX Tiger: Hopefully the last fix for Tiger users...

commit f04db53e71c681379ec49494c9ab727bc5269b30
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Fri Nov 28 11:20:25 2008 -0800

    OSX Tiger: More compilation fixes...

commit ed6dc88f5cbaaad08a282c44ae333a938f6f4216
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu Nov 27 00:47:31 2008 -0800

    OSX: Create privleged_startx on Tiger
    
    Launchd in Tiger doesn't support OnDemand loading, so this is
    a KeepAlive idle daemon on Tiger.

commit 9f761b5a8512a8ad8b1475a3684e1a23d953916f
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Sat Nov 22 10:52:35 2008 -0800

    Apple: Use AvailabilityMacros.h for Tiger compatability

commit 0c0b73812efe75496e154730787402538a268bac
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu Aug 28 19:10:59 2008 -0700

    Apple: Make VPATH builds work on darwin
    
    Patch from Peter O'Gorman <peter@pogma.com>

commit 0753882b89a451c9bdd053c2915a80fbcdbb0b77
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Tue Aug 5 14:58:48 2008 -0700

    Apple: sleep() to avoid innocent error message spew

commit 79871c9b9daa1fad1b84af8f7eb54fced7526b2e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 5 14:11:24 2008 -0700

    Fix build of startx & xinitrc with Solaris make
    
    For some reason, having the dependencies explictly listed
    causes it to ignore the suffix implicit rule for .cpp.

commit 9cc39e441b8741b4b0b878d00e09f0366ff36146
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Mon Aug 4 14:40:49 2008 -0700

    Support the instant-off API in SnowLeopard.

commit 7d41013b0e295ec0444c2f9099679bb6018c812f
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Jul 2 16:36:24 2008 -0700

    Apple: Using eval to protect people who have spaces in their home path.

commit 9632367abd03108f3636b05e9f2fd92f5c28dabe
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Sun Jun 29 18:24:13 2008 -0700

    startx.cpp: Made some things a little more friendly for people who have spaces in pathnames.

commit c5bd51b3a31b3b290dec9f978779a56161308bb4
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Sun Jun 29 17:50:44 2008 -0700

    Apple: privleged_startx: Increase the timeout so slower machines don't get a stray process warning in their system log.

commit a5a8ea7c8452908c2c4c9c822f5b4f7382c03630
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jun 12 15:27:11 2008 -0400

    xinit 1.1.0

commit 44e2ee01b456deb2630d21786d19ee2734d2f40a
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed May 28 12:01:35 2008 -0700

    Apple: Don't use launchd on Tiger since it doesn't support the features we need.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=15893

commit d315445cb85876cda56f46cb657167d4eb906ba0
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed May 28 11:54:22 2008 -0700

    Properly handle using xserverrc

commit 3c5e2ed686bd3ab39e2c1e87feffb5990603cf3c
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 21 14:34:52 2008 -0400

    xinit 1.0.9

commit c07501f69239e9c1448736ad7e689a2c3da49af9
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 21 14:29:55 2008 -0400

    Unset session environment variables so startx works within a running session.

commit ef2610f44c7cf40489203fddc77ddcdfb7764eed
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue May 13 16:28:33 2008 -0700

    Use /bin/ksh instead of /bin/sh on Solaris

commit d3bc7001315a8ba13be073af86fe710740b2d4c3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue May 13 16:25:49 2008 -0700

    Check for proper cookie creation on all platforms

commit ef7abe2e72074f8252f0812ab2ca05dff7e76a38
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue May 13 16:25:22 2008 -0700

    Use od on /dev/random to generate cookie on Solaris

commit e0e89545db1fc08ffe49b2b24455bb30137da671
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Mon May 12 13:17:46 2008 -0700

    Apple: Don't need to spew unneccessary 'directory exists' messages.

commit 85561f8347b33422dd4b0ea11911347c0666e409
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Tue May 6 00:07:18 2008 -0700

    Apple: No need for these bits being here in xinit as of xserver-1.4.0-apple9

commit 280774466dc9f57b4b46c618345f7938290dbb2c
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Fri Apr 25 19:00:23 2008 -0700

    Apple: Added some OSX version protection, so this will still compile on Tiger and below.

commit 0806ae2ecfdcb4ad5f3b7a66dcc9bc5d29d72649
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Fri Apr 25 15:12:54 2008 -0700

    Apple: Use CFProcessPath instead of argv[0] trick.

commit edc3112679af749f0c6fc54b2eec1b89aaf0d0c8
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Apr 20 17:30:14 2008 +0200

    Replace sprintf() and strcpy() with snprintf().

commit 47d561fd6efb8923cfbace6fea40dfeb314b4662
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Sat Apr 19 08:50:45 2008 -0700

    Cleaned up handling of defaultserver{,args}
    Per comments from Jeremy Reed on the list... basically doing for everyone what I do for Apple

commit f6e75ebf5f7f245e1cdeb883a1d2db74f2451fd4
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Sat Apr 19 08:47:20 2008 -0700

    Apple: Fixed make dist to include a missing header and not include generated sources

commit 2b06b58a328e13df4704df8a48d4cd0b1100ba7e
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu Apr 17 17:19:41 2008 -0700

    Apple: Added privileged_startx

commit fe5af014f2645d1ecf981d40d3c10a3621e9ec56
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Mon Apr 14 13:05:26 2008 -0700

    Apple: Wait for privileged_startx to finish, so we don't race to create /tmp/.X11-unix

commit d5590dba3cce39367762d39822094ca51000142b
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Sun Apr 13 23:15:27 2008 -0700

    Apple: We renamed font_cache.sh to font_cache for better consistency... Changing startx to work with this

commit 5ef443bb6bff0a03ee00105d9bf95bc3f6f82b11
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Sun Apr 13 19:51:18 2008 -0700

    Apple: privileged_startx is in XINITDIR

commit c1b70ca67ecd12d6837584e7ef4abd01ee3b7ad9
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Tue Apr 8 17:25:54 2008 -0700

    Correctly handle users with spaces in $HOME

commit 1cb4bb208d481967fb736acf10c6ac2b66bf3181
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Sat Apr 5 17:23:02 2008 -0700

    Apple: Renamed LaunchAgent to org.x.startx to distinguish it from the org.x.X11 application

commit f7c706ff46d4a2364d65731cd1c3135ef7987380
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Fri Apr 4 22:49:51 2008 -0700

    Apple: Execute /usr/X11/bin/privileged_startx if it's present

commit ca08a36d10f15be6d230a9af92288da4cb24cd43
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Fri Apr 4 02:31:10 2008 -0700

    Apple: Fixed issue where display would not be passed correctly to the server if nolisten tcp was enabled.

commit 8c52bd4509b7fe5a74026b5bc638d59add9e8945
Author: Jeremy C. Reed <reed@tx.reedmedia.net>
Date:   Sat Mar 15 18:23:45 2008 -0500

    Use /dev/urandom for cookie it it exists
    else fall back to /dev/random.
    Not doing in configure.ac because can't easily check for
    existence when doing cross-builds.
    (Alternative would be to define this for every operating system
    in configure.ac. Currently only is defined for OpenBSD.
    Systems that have mcookie also will not be effected.)

commit 062524614fdd4f11f32ba3d054f7fc16b9bc5f12
Author: Matthieu Herrb <matthieu@bluenote.herrb.net>
Date:   Sat Mar 8 19:02:05 2008 +0100

    OpenBSD: use openssl rand -hex 16 to generate the cookie.

commit 3eaee22196a03d88c419c42470baf562552c1a3b
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Mar 6 17:09:45 2008 -0500

    xinit 1.0.8

commit 96c8650369a99e344b4e3510f713b331d83c4272
Author: Jeremy Huddleston <jeremy@tifa.local>
Date:   Sun Mar 2 10:32:58 2008 -0800

    Apple: Use -c in the launchd plist, so broken .profile/.bashrc don't much up startx

commit aa026deef43a8c1479e6a558194e0a473bbdaeb0
Author: Jeremy Huddleston <jeremy@tifa.local>
Date:   Sat Mar 1 17:30:47 2008 -0800

    Apple: Adding support for an xinitrc.d directory on OSX, so fink doesn't need to clobber files

commit 916b1ab10d10efbdf3a544534acb95f9d28692cf
Author: Jeremy Huddleston <jeremy@tifa.local>
Date:   Mon Feb 18 15:53:46 2008 -0800

    Apple: font caching and defaults
    Quieted defaults "error" messages by initializing default values
    Do font caching in startx, so users with custom ~/.xinitrc won't have to
    worry about updating it.
    Add "cache_fonts" defaults item to toggle whether or not to cache fonts at startup
    Fall back on fc-cache if font_cache.sh is not present.

commit 19fa8408a2c707081ba984537a3dcab744b0a565
Author: Jeremy Huddleston <jeremy@tifa-2.local>
Date:   Sat Feb 16 02:50:47 2008 -0800

    Added org.x.X11.plist.cpp to EXTRA_DIST

commit 9259740a2d69c6c2fc1786508dbd08ae2cfef101
Author: Jeremy Huddleston <jeremy@tifa.local>
Date:   Sun Feb 10 18:49:06 2008 -0800

    Apple: Support spaces in $HOME for font path, and remove duplicate entry

commit 4e899293d7f7bb0a67b094402fad7db55169acec
Author: Jeremy Huddleston <jeremy@tifa.local>
Date:   Sun Feb 10 02:04:16 2008 -0800

    Apple: Cleaned up font path setting and added font caching to xinitrc

commit 238b74a47eb66bfa24627b099bf9c6a06e91d35a
Author: Jeremy Huddleston <jeremy@tifa.local>
Date:   Sat Feb 9 22:17:02 2008 -0800

    Apple: use -nocpp arg to xrdb if cpp is not installed

commit b9a2f211eff9f7fdc1399146d175923ca589cf2a
Author: David Nusinow <dnusinow@debian.org>
Date:   Tue Feb 5 11:58:40 2008 -0500

    Unbreak installs on non-launchd systems
    
    Thanks to cjb for running the tinderbox that spotted this
    breakage.

commit 6403e53a1fef9fd7dd8c77640d01bb8aaee09f91
Author: Jeremy Huddleston <jeremy@yuffie.local>
Date:   Fri Feb 1 00:35:27 2008 -0800

    OS-X: Set fontpath in xinitrc to include system / user fonts.  Additionally fixed font scaling issues (trac #52)

commit d9d43955a03fb3d5b2d87d9c1a7de463f1a027b6
Author: Jeremy Huddleston <jeremy@yuffie.local>
Date:   Fri Feb 1 00:23:54 2008 -0800

    OS-X: Fixed typo

commit 7400760ae1b88d0c514aa119643cd412a4a68b06
Author: Jeremy Huddleston <jeremy@yuffie.local>
Date:   Wed Jan 9 21:03:41 2008 -0800

    OS-X: Add bindir to $PATH in startx if it's not there
    This should also fix this on SCO since it was using the incorrect BINDIR
    instead of __bindir__ in that code block...

commit 0f740f75ececc9742c6f407d53b482897ef5f698
Author: Jeremy Huddleston <jeremy@yuffie.local>
Date:   Fri Jan 4 11:36:26 2008 -0800

    OS-X: Properly set enable_xauth if the user has no defaults set and choose a valid $display for fast-user-switching.

commit 9c57524fde57284daae2309dce17dbf56a8643de
Author: Jeremy Huddleston <jeremy@yuffie.local>
Date:   Thu Dec 20 18:26:38 2007 -0800

    XQuartz doesn't need the -launchd command line argument anymore.

commit f31042ae688d75c2043e9df56f66cabdd56fdf75
Author: Jeremy Huddleston <jeremy@yuffie.local>
Date:   Thu Dec 20 17:22:16 2007 -0800

    OS-X: Need to use bash --login to setup the environment from launchd.

commit d1c968926fa2fe36b612d4ebc948d73e6e0f6c01
Author: Jeremy Huddleston <jeremy@yuffie.local>
Date:   Thu Dec 20 16:50:39 2007 -0800

    OS-X: Made defaults test more robust

commit 73a2dd64576328de712ee792d569a88550e4ddb4
Author: Jeremy Huddleston <jeremy@yuffie.local>
Date:   Thu Dec 20 16:13:27 2007 -0800

    Added support for OS-X preferences to disable tcp/ip connections and xauth

commit 4afcc5afa0dc7a1d14e93f18289c4490c9f2decd
Author: root <root@tinderbox.wearablelab.ml.unisa.edu.au>
Date:   Fri Dec 21 00:53:45 2007 +1030

    Define APPLE for the rest of us
    
    APPLE was only defined when, well on an APPLE. However Makefile.am
    unconditionally required it. Hence define APPLE to false when
    we're not on an APPLE.
    
    Found by: Tinderbox

commit cced740b1e1c8220701e59cec1be04498f851296
Author: Jeremy Huddleston <jeremy@yuffie.local>
Date:   Sun Dec 16 01:12:20 2007 -0800

    OS-X: Added argv[0] hack for finding Xquartz UI and icon as well as claiming its dock icon
    Partially removes need for x11-exec on OS-X.  We still need to handle options set in defaults.

commit 3c5ae3a242895f53d4f27fefb785f2725077a55d
Author: Jeremy Huddleston <jeremy@yuffie.local>
Date:   Sat Dec 15 15:52:22 2007 -0800

    Changed x11-exec to actually start X11.app.  X11.app will be responsible for calling xinit.

commit f5db2f6bc21b8d589b92c0f1d60bd6ec8da21ae0
Author: Jeremy Huddleston <jeremy@yuffie.local>
Date:   Sat Dec 15 15:01:02 2007 -0800

    Added Apple launchd support

commit c0246278393f9440717eea292a3d31440f7972dd
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 15:51:07 2007 -0500

    Add missing PHONY line for automatic ChangeLog generation

commit 3b064b7206a84aae873743b706c41324a67c1f2c
Author: Jeremy Huddleston <jeremy@yuffie.local>
Date:   Mon Dec 3 19:57:26 2007 -0800

    Added some support for Xquartz on OS-X.

commit e2963ff8acb7e20aab1f8e31a656f4553dda208a
Merge: a7fda62 0516336
Author: Matthieu Herrb <matthieu@bluenote.herrb.com>
Date:   Fri Sep 28 22:26:26 2007 +0200

    Merge branch 'master' of ssh://herrb@git.freedesktop.org/git/xorg/app/xinit

commit a7fda62fcb5600dc65f84148923f5a0a70181e7e
Author: Matthieu Herrb <matthieu@bluenote.herrb.com>
Date:   Fri Sep 28 22:25:17 2007 +0200

    Use /dev/arandom instead of /dev/urandom to generate the cookie
    on OpenBSD. Problem noticed by Joerg Sonnenberger. Thanks.

commit 051633650c7b7a7eb9ef494a48a6a79fa2e06080
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Mon Sep 17 12:46:59 2007 +0200

    Bumped version to 1.0.7.

commit 52121e9de907c61a16e41f0f08acecc1dc1546e5
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Mon Sep 17 08:27:23 2007 +0200

    Bug #12448: Don't try to trap 'ERR'.
    
    startx is advertised as a POSIX sh script. These shells don't
    necessarily support trapping 'ERR'. This makes startx work again with
    dash (and probably others).

commit ff9752bc4304e5a29ef7e06b56bd4e0e5ca32926
Author: Matthieu Herrb <matthieu@bluenote.herrb.com>
Date:   Sat Sep 15 18:51:19 2007 +0200

    Bump to 1.0.6

commit af5e859a8da23f063fd3371a9e7266054532d769
Author: Matthieu Herrb <matthieu@bluenote.herrb.com>
Date:   Sat Sep 15 18:50:57 2007 +0200

    generate

commit 6c1bef8580a1dcd945c3a89522daa90fe8f4c272
Author: Matthieu Herrb <matthieu@bluenote.herrb.com>
Date:   Sat Sep 15 18:43:52 2007 +0200

    MKCOOKIE program for OpenBSD.

commit b9d07ef3e07ef6f00a2f1cc730a481e5e1291f5b
Author: Matthieu Herrb <matthieu@bluenote.herrb.com>
Date:   Sat Sep 15 18:12:52 2007 +0200

    remove .serverauth.$$ file on signals or errors

commit e91874313c99dfb6be042cd1739e463e080b71fc
Author: Eric Anholt <eric@anholt.net>
Date:   Wed Sep 5 10:14:52 2007 -0700

    Bump version to 1.0.5.

commit 2640fb97a42e0d91603defc0f37388735c56a54d
Author: Eric Anholt <eric@anholt.net>
Date:   Tue Sep 4 13:05:47 2007 -0700

    Fix broken test for /dev/random cookie generation failure.

commit fc6cc81be41af58ffd996994e1325dd072a9ab34
Author: Eric Anholt <eric@anholt.net>
Date:   Fri Jul 13 15:34:43 2007 -0700

    Use /dev/random to generate the cookie if mcookie is unavailable.
    
    Setting XAUTHORITY without having actually generated a cookie and created
    .Xauthority led to issues if somebody like ssh later came around and made the
    .Xauthority file for their own setup.  So, simply make it so that we never
    fail to create one.

commit e9c1d1667b58c738cb1317219cc0ac84bef2a5d6
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 21 20:00:38 2007 -0700

    Version bump: 1.0.4

commit 3686497f31ac9f548f6f3aa5d4418a96fe564497
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 21 18:42:56 2007 -0700

    Remove old Imake checks now that we always build with autoconf

commit d5b726c2dbc22b6fd9623604e9252aaef30c387c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 21 18:18:56 2007 -0700

    Remove support for pre-POSIX-1990 platforms

commit dfba9a82068b44429a08b307d26b91495c10c7c1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 21 17:52:38 2007 -0700

    Modernize list of Xservers printed when "X" is not found in $PATH

commit a73284c7aeeab7ee0c1b6027819955ef7b08f23d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 21 17:09:40 2007 -0700

    Replace static ChangeLog with dist hook to generate from git log

commit 8942f1fd8377c0e67e5ad493af55b7d7b3f996c7
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 21 16:49:18 2007 -0700

    Don't print windowpath debug messages unless built -DDEBUG
    
    No need to print warnings on systems without vt support

commit fa78528b44d4c1c50594359e17114208834a84fd
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Fri Aug 25 16:48:00 2006 -0800

    X.Org Bugzilla #8013: xinit should set WINDOWPATH
    
    X.Org Bugzilla #8013: <https://bugs.freedesktop.org/show_bug.cgi?id=8013>
    Patch #6701: <https://bugs.freedesktop.org/attachment.cgi?id=6701>

commit 64f1a94404924b1ada6b43ed33c80a560712ec36
Author: Daniel Drake <ddrake@brontes3d.com>
Date:   Mon May 21 16:33:23 2007 -0700

    Fill in COPYING File (X.Org Bugzilla #11024)

commit 3b6dad2ba4d4507cd742d8e7ff760fe006c0aa23
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri May 18 23:44:06 2007 -0700

    Bug #10616: Clarify syntax on xinit & startx man pages
    
    X.Org Bugzilla #10616: <https://bugs.freedesktop.org/show_bug.cgi?id=10616>
    Reported upstream from
    Debian bug #267744 <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=267744>

commit ad23a55a581ab18c4614e2cb5d82c4376ee88722
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Nov 6 14:56:07 2006 -0800

    Stop hardcoding /usr/X11R6/bin in manpage examples

commit c50afd78af7496938a10b317c5e41b4d99d1fc60
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Nov 6 14:47:34 2006 -0800

    Change example X server argument from bc to -br now that bc is gone

commit 7b3e51364355716731670522b578b23d40fb356b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Nov 6 14:46:42 2006 -0800

    Add *~ to .gitignore to skip over emacs/patch droppings

commit c9da362e9f3f80a91b91011c21ef85e1cd3ef48b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Nov 6 14:46:15 2006 -0800

    renamed: .cvsignore -> .gitignore

commit de19be83afe7d0dc9a71fa529e80d91b4e26bdda
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Fri Oct 13 17:53:12 2006 -0400

    Bump to 1.0.3

commit 4fc9d215202b494a9182913f84eb41ba2bd1e39b
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Tue Jun 20 19:25:51 2006 +0000

    Check setuid() return value. Bugzilla #7116.

commit 732e5f17cf5189854654360e978a62d6d6b82d4b
Author: Jeremy C. Reed <reed@reedmedia.net>
Date:   Sat May 27 15:28:04 2006 +0000

    In comments, change contractions to be spelled out to fix cpp "missing
        terminating" errors with single quotes.

commit db74ad799da27eec04b5aed64e3564aef9156a04
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Apr 30 14:19:19 2006 +0000

    Quote MCOOKIE to allow to specify a command with args (ie
        MCOOKIE="/usr/sbin/openssl rand -hex 16" ./configure ...)

commit 797f51d176ab9a29497a9141a57a968c5a7d3792
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sun Apr 2 01:06:41 2006 +0000

    Bump to 1.0.2.

commit bbf54921031f679c0d266a6b2ef4926f872d18f1
Author: Jeremy C. Reed <reed@reedmedia.net>
Date:   Sat Feb 25 15:20:06 2006 +0000

    Bug #4449 <https://bugs.freedesktop.org/show_bug.cgi?id=4449> Be more
        portable (for different /bin/sh shells) for the arithmetic.
    NetBSD's /bin/sh didn't like: dummy=$((dummy+1)) and complained: startx:
        arith: syntax error: "dummy+1"
    This was fixed by NetBSD and also by Gentoo, see:
        https://launchpad.net/distros/ubuntu/+source/xinit/+bug/31241

commit 6690352bdd01603a5e82e177aab4804d5424b8b1
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:51 2005 +0000

    Update package version for X11R7 release.

commit 9ea919f305201ad9c3695a4534f08d5d373d3eb5
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:44 2005 +0000

    Stub COPYING files

commit 0a95c12d2dd1da5a2c2f7ef3a731ef40074fba23
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:07 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 18056e663f89b0b5019f549365afbdf975a59d61
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:22 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit cc7dfc25d5854ac08dfa7dc52c96702e60777e5c
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 17:08:50 2005 +0000

    Add m4 magic to allow AS_HELP_STRING to work with older versions of
        autoconf 2.57.

commit b0081f30f7d2bdc59509e09b7d147700456d562e
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:24 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 15470956794d19c3b1ee0d17e727e0a77436518f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:43 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 66b04609fdf1910588e05f74f772441c712ed0cc
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:35:01 2005 +0000

    Another pass at .cvsignores for apps.

commit d286ee2400f8f9c4110971545ef50a556e5c08f9
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:53 2005 +0000

    Add/improve .cvsignore files for apps.

commit 0a06386696875638e9e9b6e47e95affbf542e25d
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 15 04:05:59 2005 +0000

    Make the programs used in the xinit scripts configurable.

commit 549c55ea15e60b9aca5da1ed6f18564f1e69cd26
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 15 04:03:10 2005 +0000

    Make using full paths in the xinit scripts optional.

commit 277975ec73744657e556a0c6380614d8684db7df
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Nov 10 04:25:39 2005 +0000

    Add settings for SHELL_CMD & ARCHMANDEFS to match monolith changes for bug
        #3180.
    AC_DEFINE(XORG,...) so it is listed as available server in xinit help
        output.
    Update cpp -D flags to match monolith changes for bug #3180.

commit 6e7bcf4f2ea8bb868ed8b0459f1c0d6cc172f4ae
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:09:21 2005 +0000

    Update package version number for X11R7 RC2 release.

commit af47a9e0dd891dcaa52b12f4eda85381e0467916
Author: Kean Johnson <kean@armory.com>
Date:   Tue Nov 8 06:33:33 2005 +0000

    See ChangeLog entry 2005-11-07 for details.

commit 6beb2e4769b8b3708f30ee7adf8037a4e1f39f3d
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:54 2005 +0000

    Update package version number for RC1 release.

commit dc0b907e02d6c1ab917e30c4b262b5c9f780ef12
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:23 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 0c48fdb05b2538c94c809e25c8690a7094900e07
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Oct 16 22:18:22 2005 +0000

    Use cpp to substitute variables in man pages

commit 9c8787d2ce69e55b9ba362a92f01592d8ee0a3a3
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 11 01:09:43 2005 +0000

    Don't define HAS_COOKIE_MAKER if mcookie wasn't found.

commit e2dd25d3cf2f10c0cff0d37d05f58b81344db68b
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Oct 4 01:27:34 2005 +0000

    Bug #2027: Treat SIGTERM like SIGINT in xinit. (Andreas Luik)

commit 48ea043e65943fd66e03788be9867c69b96c738c
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Mon Aug 29 01:56:12 2005 +0000

    Bump to 0.99.1.

commit 9f74cfed8f808009b3acfa0af383218f3bf0fc00
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Mon Aug 29 01:54:30 2005 +0000

    Define HAS_COOKIE_MAKER and search for mcookie so startx will generate
        xauth tokens for the servers it starts.

commit 52fb36b1ec52e78916bf9cf1a5e7bdce05482b0c
Author: Eric Anholt <anholt@freebsd.org>
Date:   Thu Aug 11 18:11:32 2005 +0000

    Bugzilla #4045: Do a missed replacement of @@ with \ in startx.
    Submitted by: David Schleef <ds@schleef.org>

commit ef53714d87aa71309fe2f22862f1892a8e620336
Author: Eric Anholt <anholt@freebsd.org>
Date:   Thu Aug 11 18:09:45 2005 +0000

    Set CSRG_BASED for BSD systems so the build succeeds.

commit 2b515c0e9940d3fc5b4151d10678f3c0b09668fc
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:34 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 22c07dc931424a64046c489ff95b9ca14d7a5552
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Jul 26 18:58:15 2005 +0000

    Use AC_TYPE_SIGNAL and AC_FUNC_VFORK to replace Imake's SIGNAL_DEFINES and
    -DHAS_VFORK

commit db7faf36b93971eef4857d24efe0de155b7cdb19
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Jul 26 18:55:42 2005 +0000

    Add config.h includes for modularization Use RETSIGTYPE if defined by
        autoconf in addition to Imake's SIGNALRETURNSINT. Use
        HAVE_WORKING_VFORK if defined by autoconf in addition to Imake's
        HAS_VFORK

commit e5280bb6562129bf7617a24784b19da4cbd7abc8
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Jul 25 23:19:06 2005 +0000

    Bug #3860: Avoid a bashism. (Diego Pettenò)

commit 4c76716e9eef58c7de7dab27bdeca33a2980b726
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Jul 23 03:02:58 2005 +0000

    Move manpages to section 1.

commit b5a90f98073bfa5d5615f5aa0ae73af07f625bbb
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Jul 20 22:49:25 2005 +0000

    Use kbd_mode -a to restore console keyboard on Solaris x86 too.

commit e83a8d3f9816605106a496c89f9e9ccfae3e4f4c
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:31:57 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit d8980cb7b6df64cf92c5b660f838497296dbb0bb
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 16 23:29:38 2005 +0000

    x11perf/Makefile.am: xinit/Makefile.am: xvidtune/Makefile.am:
    - Replace $< with portable macro xinit/Makefile.am: xinit/configure.ac:
        xvidtune/Makefile.am: xvidtune/configure.ac:
    - Use more portable cpp invocations for pre-processing files
        xfs/configure.ac:
    - Add XTRANS_CONNECTION_FLAGS so xtrans transport type defines are set
        correctly

commit d731a249d0c1c7f9eb77828c0d6e79cfdaf75589
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Tue Jul 5 21:12:01 2005 +0000

    Build system for xinit

commit dd7fee44b126636d6c3edd9e325ce411e3ae5d78
Author: Egbert Eich <eich@suse.de>
Date:   Wed Apr 20 17:54:12 2005 +0000

    Separate server auth and client .Xautority file in startx. .Xautority might
        have credentials from other Xservers which we might not want to enable
        on ours Bugzilla #3078).

commit 4118bc8579ac75620ea6cda2b16d3ebbe4f5b6af
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:49 2004 +0000

    Merging XORG-CURRENT into trunk

commit 52279458e75907cb4d004e8be0c87f1c7b714159
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:24 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 59c01948e5bda5b2584e1a19f735737896a87c69
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:13:08 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 6427c13f6e132a3d19bbb7c3a2dc0c5b8215b3d8
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:25 2004 +0000

    readding XFree86's cvs IDs

commit 40ac2d222287210c7724e3ac5a15af490aed50b9
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:24:08 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit fae621e34ee1eff0bc70e60c7843c0fce9f9ec1a
Author: Egbert Eich <eich@suse.de>
Date:   Thu Jan 29 08:09:12 2004 +0000

    Importing vendor version xf86-012804-2330 on Thu Jan 29 00:06:33 PST 2004

commit b1dacbed577312f5fa86d9d81aa946276c646167
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:13 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit c301daadb9de3348d7dd1b511cadf7d55a59bc1c
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:22 2003 +0000

    XFree86 4.3.0.1

commit b7d9a0b434bb0d32857fc47611926cb59ac7f3c5
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:22 2003 +0000

    Initial revision

commit f18e25ab379836d0885660ad9c42ed588b1152b8
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:54 2003 +0000

    R6.6 is the Xorg base-line
